<template>
  <StyledShopContainer>
    <StyledContainer>
      <a-row type="flex" align="middle" justify="center">
        <a-col :xl="{ span: 24 }">
          <StyledFlexContainer
            justify="center"
            align="center"
            direction="column"
          >
            <AtomSectionTitle text="SHOP" />
            <StyledFlexContainer justify="space-between" wsize="100%">
            <carousel
              :perPage="4"
              :paginationEnabled="false"
              :navigationEnabled="true"
            >
              <slide v-for="item in items" :key="item.name">
                <AtomShopCard
                  :key="item.name"
                  :imageSrc="item.image"
                  :itemName="item.name"
                />
              </slide>
            </carousel>
            </StyledFlexContainer>
          </StyledFlexContainer>
        </a-col>
      </a-row>
    </StyledContainer>
  </StyledShopContainer>
</template>

<script lang="ts">
import { Carousel, Slide } from 'vue-carousel';
import StyledShopContainer from '../../../styles/Organisms/OrganismSectionShop/OrganismSectionShop';
import AtomSectionTitle from '../../Atoms/AtomSectionTitle/AtomSectionTitle.vue';
import AtomShopCard from '../../Atoms/AtomShopCard/AtomShopCard.vue';

import { StyledContainer, StyledFlexContainer } from '../../../styles/Styles';

export default {
  name: 'OrganismSectionShop',

  components: {
    StyledShopContainer,
    StyledContainer,
    StyledFlexContainer,
    AtomSectionTitle,
    AtomShopCard,
    Carousel,
    Slide,
  },

  data(): any {
    return {
      items: [
        {
          name: 'Lorem Ipsum1',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum2',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum3',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum4',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum5',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum6',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum7',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
        {
          name: 'Lorem Ipsum8',
          image:
            'https://cdn.colab55.com/images/5501/studio/48301/art/92920/mugs.png',
        },
      ],
    };
  },
};
</script>
